<?xml version="1.0" encoding="UTF-8"?>
<!--
 * The contents of this file are subject to the terms of the Common Development and
 * Distribution License (the License). You may not use this file except in compliance with the
 * License.
 *
 * You can obtain a copy of the License at legal/CDDLv1.0.txt. See the License for the
 * specific language governing permission and limitations under the License.
 *
 * When distributing Covered Software, include this CDDL Header Notice in each file and include
 * the License file at legal/CDDLv1.0.txt. If applicable, add the following below the CDDL
 * Header, with the fields enclosed by brackets [] replaced by your own identifying
 * information: "Portions copyright [year] [name of copyright owner]".
 *
 * Copyright 2011-2016 ForgeRock AS.
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <!-- Parent Project -->
    <parent>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam-schema</artifactId>
        <version>14.5.3-SNAPSHOT</version>
    </parent>

    <!-- Component Definition -->
    <name>OpenAM WS Federation Schema</name>
    <description>OpenAM Schemata Components</description>
    <artifactId>openam-wsfederation-schema</artifactId>
    <packaging>jar</packaging>

    <!-- Build -->
    <build>
        <plugins>
<!--
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>jaxb2-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <id>xjc-wsfederation</id>
                        <goals>
                            <goal>xjc</goal>
                        </goals>
                    </execution>
               </executions>
               <configuration>
                    <extension>true</extension>
               </configuration>
           </plugin>
-->
        </plugins>
    </build>

    
    <dependencies>
        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-shared</artifactId>
        </dependency>

		<dependency>
			<groupId>org.glassfish.metro</groupId>
			<artifactId>wsit-impl</artifactId>
		</dependency>
		<dependency>
			<groupId>com.sun.xml.bind</groupId>
			<artifactId>jaxb1-impl</artifactId>
		</dependency>
    </dependencies>
</project>

